## octave-interval 1.4.1

=== DESCRIPTION ===
Name: interval
Version: 1.4.1
Date: 2016-02-13
Author: Oliver Heimlich <oheim@posteo.de>
Maintainer: Oliver Heimlich <oheim@posteo.de>
Title: Real-valued interval arithmetic
Description: The interval package for real-valued interval arithmetic allows
 one to evaluate functions over subsets of their domain.  All results are
 verified, because interval computations automatically keep track of any
 errors.
 
 These concepts can be used to handle uncertainties, estimate arithmetic errors
 and produce reliable results.  Also it can be applied to computer-assisted
 proofs, constraint programming, and verified computing.
 
 The implementation is based on interval boundaries represented by binary64
 numbers and is conforming to IEEE Std 1788-2015, IEEE standard for interval
 arithmetic.
Problems: Comparison with isequal fails for interval matrices in
 Octave 4.0.0 (bug #44334, fixed in Octave 4.0.1).  3D plotting is not possible
 with gnuplot as graphics toolkit (bug #45594).
Depends: octave (>= 3.8.0)
SystemRequirements: mpfr (>= 3.1.0) [Debian] libmpfr4 (>= 3.1.0)
BuildRequires: mpfr (>= 3.1.0) [Debian] libmpfr-dev (>= 3.1.0)
License: GPL-3.0+
