=== debian/changelog ===
octave-interval (1.4.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.1

 -- Oliver Heimlich <oheim@posteo.de>  Sat, 13 Feb 2016 22:00:00 +0100

octave-interval (1.4.0-1) unstable; urgency=medium

  [ Oliver Heimlich ]
  * Imported Upstream version 1.4.0
  * d/copyright: Reflect upstream changes
  * d/p/texinfo-bug46083.patch: Remove patch (applied upstream)
  * d/rules: Fix building of user manual after upstream changed doc/Makefile
  * d/check.m: Enable batch mode for testing, don't stop on first failure,
    fail package build on test failures

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 3.9.7,
    use secure URIs in the Vcs-* fields

 -- Oliver Heimlich <oheim@posteo.de>  Fri, 12 Feb 2016 23:51:21 +0100

octave-interval (1.2.0-1) unstable; urgency=low

  * Initial release (closes: #800153)

 -- Oliver Heimlich <oheim@posteo.de>  Wed, 07 Oct 2015 21:14:10 +0200
