=== debian/control ===
Source: octave-interval
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Oliver Heimlich <oheim@posteo.de>,
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>> 1.2.0),
 libmpfr-dev (>= 3.1.0), texinfo, texlive, texlive-generic-recommended,
 imagemagick, gnuplot-nox
Standards-Version: 3.9.7
Homepage: http://octave.sourceforge.net/interval/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-interval.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-interval.git

Package: octave-interval
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
Description: real-valued interval arithmetic for Octave
 The interval package for real-valued interval arithmetic allows one to
 evaluate functions over subsets of their domain.  All results are verified,
 because interval computations automatically keep track of any errors.
 .
 These concepts can be used to handle uncertainties, estimate arithmetic errors
 and produce reliable results.  Also it can be applied to computer-assisted
 proofs, constraint programming, and verified computing.
 .
 The implementation is based on interval boundaries represented by binary64
 numbers and is conforming to IEEE Std 1788-2015, IEEE standard for interval
 arithmetic.
 .
 This Octave add-on package is part of the Octave-Forge project.
