=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = interval

DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)

install-docs: build-docs
build-docs:: install-pkg
	# The documentation build needs to load the package,
	# so we have to set paths for the build process.
	OCTAVE="$(octave) $(octave_options) --eval \"pkg ('prefix', [pwd(),'/../$(debpkg)/$(mpath)'], [pwd(),'/../$(debpkg)/$(bpath)']); pkg ('local_list', [pwd(),'/../local-list']); pkg ('global_list', [pwd(),'/../global-list']); pkg ('load', '$(pkg)');\"" \
		make -C doc manual.pdf

clean::
	( cd doc ; \
	  rm -f *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr manual.pdf image/*.m.png )
