=== debian/watch ===
version=3
http://sf.net/octave/interval-(.+)\.tar\.gz
