## octave-interval 1.5.0

=== src/Makefile ===
--- 
+++ 
@@ -1,20 +1,9 @@
+## This is part of the GNU Octave Interval Package.
+## Copyright 2015-2016 Oliver Heimlich
+## Copyright 2016 Mike Miller
+## See the file COPYING for copying conditions.
+
 SHELL          = /bin/sh
-
-## Copyright 2015-2016 Oliver Heimlich
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 3 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, see <http://www.gnu.org/licenses/>.
-
 OBJ            = mpfr_function_d.oct \
                  mpfr_linspace_d.oct \
                  mpfr_matrix_mul_d.oct \
@@ -45,3 +34,8 @@
 ## However, please inform the package maintainer of the error.
 __setround__.oct: __setround__.cc
 	$(MKOCTFILE)  -o $@  $<
+
+clean:
+	$(RM) *.oct *.o
+
+.PHONY: all clean
