=== debian/changelog ===
octave-interval (1.5.0-2) unstable; urgency=medium

  * Move documentation into separate package octave-interval-doc
  * Replace external CSS with local copy

 -- Oliver Heimlich <oheim@posteo.de>  Sat, 11 Jun 2016 10:53:43 +0200

octave-interval (1.5.0-1) unstable; urgency=medium

  [ Oliver Heimlich ]
  * Imported upstream version 1.5.0
  * Reflect upstream changes to src/Makefile
  * Copy package description from upstream source
  * Change doc format from PDF to HTML
  * d/rules: Strip test files from binary package after validation
  * d/rules: Don't copy NEWS file into binary package twice

  [ Rafael Laboissiere ]
  * d/rules: In the clean rule, remove built files from src/
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/control: Build-depend on octave-pkg-dev >= 1.4.0 (closes: #825895)

 -- Oliver Heimlich <oheim@posteo.de>  Sun, 05 Jun 2016 10:01:34 +0200
