=== debian/control ===
Source: octave-interval
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Oliver Heimlich <oheim@posteo.de>,
Build-Depends-Indep: texinfo, texlive, texlive-generic-recommended,
 imagemagick, gnuplot-nox,
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.4.0),
 libmpfr-dev (>= 3.1.0),
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/interval/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-interval.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-interval.git

Package: octave-interval
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
Suggests: octave-interval-doc
Description: real-valued interval arithmetic for Octave
 ${octave:Upstream-Description}
 This Octave add-on package is part of the Octave-Forge project.

Section: doc
Package: octave-interval-doc
Architecture: all
Depends: w3m | www-browser
Enhances: octave-interval
Description: real-valued interval arithmetic for Octave (arch-indep files)
 ${octave:Upstream-Description}
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package provides a documentation in html format for the octave-interval
 package.
