=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyright (c) 2015, 2016  Oliver Heimlich <oheim@posteo.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = $(shell awk '/^Name:/ {print $$2; exit 0}' DESCRIPTION)
pkg_version = $(shell awk '/^Version:/ {print $$2; exit 0}' DESCRIPTION)

# Don't install NEWS.gz, octave-pkg-dev will handle this
DEB_INSTALL_DOCS_ALL =
doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)

install/$(package)-doc:: install/$(package)
	# The documentation build needs to load the package,
	# so we have to set paths for the build process.
	OCTAVE="$(octave) $(octave_options) --eval \"pkg ('prefix', [pwd(),'/../$(debpkg)/$(mpath)'], [pwd(),'/../$(debpkg)/$(bpath)']); pkg ('local_list', [pwd(),'/../local-list']); pkg ('global_list', [pwd(),'/../global-list']); pkg ('load', '$(pkg)');\"" \
		make -C doc manual.html
	# dh_installdocs does not support subdirectories,
	# so we move everything in place
	mkdir -p $(doc_dir)/image
	cp doc/manual.html $(doc_dir)/
	cp doc/image/*.png doc/image/*.svg $(doc_dir)/image/

remove-dirs::
	rm -rf \
		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc \
		 $(CURDIR)/$(debpkg)/$(mpath)/*/test

clean::
	make -C doc clean
	make -C src clean
