=== debian/changelog ===
octave-interval (2.1.0-2) unstable; urgency=medium

  * Fix build on platforms w/o SSE2

 -- Oliver Heimlich <oheim@posteo.de>  Tue, 24 Jan 2017 20:07:13 +0100

octave-interval (2.1.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Use my Debian email address
  * d/control: Ensure proper paragraph breaks in Description
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control: Build-depends on octave-pkg-dev >= 1.4.4

  [ Oliver Heimlich ]
  * Imported Upstream version 2.1.0
  * d/copyright: reflect upstream changes
  * d/control: Add Multi-Arch tags
  * d/rules: Fix package build error
  * d/copyright: Update FSF's postal address

  [ Sébastien Villemot ]
  * d/watch: bump to format version 4.

 -- Oliver Heimlich <oheim@posteo.de>  Sun, 15 Jan 2017 13:09:32 +0100
