=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Oliver Heimlich <oheim@posteo.de>,
 Build-Depends-Indep: texinfo, texlive, texlive-generic-recommended,
  imagemagick, gnuplot-nox,
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.4.0),
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.4.4),
  libmpfr-dev (>= 3.1.0),
 Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/interval/
@@ -14,19 +14,23 @@
 
 Package: octave-interval
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
 Suggests: octave-interval-doc
 Description: real-valued interval arithmetic for Octave
  ${octave:Upstream-Description}
+ .
  This Octave add-on package is part of the Octave-Forge project.
 
 Section: doc
 Package: octave-interval-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: w3m | www-browser
 Enhances: octave-interval
 Description: real-valued interval arithmetic for Octave (arch-indep files)
  ${octave:Upstream-Description}
+ .
  This Octave add-on package is part of the Octave-Forge project.
  .
  This package provides a documentation in html format for the octave-interval
