=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,14 @@
 pkg = $(shell awk '/^Name:/ {print $$2; exit 0}' DESCRIPTION)
 pkg_version = $(shell awk '/^Version:/ {print $$2; exit 0}' DESCRIPTION)
 
+# For reproducibility and portability,
+# enable SSE2 only on architectures where it is supported by all processors.
+ifeq ($(DEB_HOST_ARCH_CPU),amd64)
+export CONF_FLAG_SSE2 = --enable-sse2
+else
+export CONF_FLAG_SSE2 = --disable-sse2
+endif
+
 # Don't install NEWS.gz, octave-pkg-dev will handle this
 DEB_INSTALL_DOCS_ALL =
 doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)
@@ -44,4 +52,5 @@
 
 clean::
 	make -C doc clean
-	make -C src clean
+	test ! -e src/crlibm/Makefile || make -C src/crlibm maintainer-clean
+	rm -f src/*.oct src/*.o
