=== debian/changelog ===
octave-interval (3.1.0-5) unstable; urgency=medium

  * Team upload

  * d/control:
    + Improve wording in the octave-interval-doc package description
    + Add misc:Depends to dependencies of octave-interval-doc
  * d/rules:
    + Define variables $(debpkg) and $(package)
      They used to be defined in file octave-pkg.mk of the octave-pkg-dev
      package, which is not used anyore.
    + Only build doc for the binary-indep package (Closes: #89098)
    + Do not ignore make clean errors
  * d/check.m:  Better check of TST files
    + Include all files under insts/test/ (*.tst and *.cc-tst).
    + Do not call exit(), since dh-octave does not like it.
    + Collect statistics on test execution and show them.
  * Add DEP-3-compliant headers to the patches

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 15:23:30 -0200

octave-interval (3.1.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:31:53 -0200

octave-interval (3.1.0-3) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * d/control: Use Debian's GitLab URLs in Vcs-* headers

  [ Oliver Heimlich ]
  * Simplify cameleon plot in documentation to address build timeouts

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 07 Jan 2018 15:48:48 +0100

octave-interval (3.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Oliver Heimlich ]
  * Ignore results of unreliable BISTs
  * Ignore results of fesetround BISTs

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:40 -0200

octave-interval (3.1.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * Add Build-Depends on ghostscript.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Add Testsuite field
  * d/control: Bump Standards-Version to 4.1.2 (no changes needed)

  [ Oliver Heimlich ]
  * New upstream version 3.1.0
    - On x86-32 platforms w/o SSE a new compiler switch allows one to disable
      80-bit floating-point arithmetic (closes: #874135)
    - OSMesa is no longer used to render images for package documentation
      (closes: #877149)
  * d/patches/*: Discard superseded patches
  * d/control: Use secure upstream URL
  * d/copyright: Reflect upstream changes
  * d/u/metadata: Use secure upstream URL, update release year

 -- Oliver Heimlich <oheim@posteo.de>  Tue, 26 Dec 2017 21:29:55 +0100
