=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,13 @@
 # with this program; if not, write to the Free Software Foundation,
 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 
-include /usr/share/cdbs/1/class/octave-pkg.mk
+%:
+	dh $@ --buildsystem=octave --with=octave
 
 pkg = $(shell awk '/^Name:/ {print $$2; exit 0}' DESCRIPTION)
 pkg_version = $(shell awk '/^Version:/ {print $$2; exit 0}' DESCRIPTION)
+package = $(shell awk '/^Package:/ {print $$2; exit 0}' debian/control)
+debpkg = debian/$(package)
 
 # For reproducibility and portability,
 # enable SSE2 only on architectures where it is supported by all processors.
@@ -30,27 +33,26 @@
 export CONF_FLAG_SSE2 = --disable-sse2
 endif
 
-# Don't install NEWS.gz, octave-pkg-dev will handle this
+# Don't install NEWS.gz, dh-octave will handle this
 DEB_INSTALL_DOCS_ALL =
 doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)
 
-install/$(package)-doc:: install/$(package)
+override_dh_auto_install-indep:
+	dh_auto_install
 	# The documentation build needs to load the package,
 	# so we have to set paths for the build process.
-	OCTAVE="$(octave) $(octave_options) --eval \"pkg ('prefix', [pwd(),'/../$(debpkg)/$(mpath)'], [pwd(),'/../$(debpkg)/$(bpath)']); pkg ('local_list', [pwd(),'/../local-list']); pkg ('global_list', [pwd(),'/../global-list']); pkg ('load', '$(pkg)');\"" \
+	OCTAVE='octave --no-window-system --no-init-file --eval	"addpath (genpath (\"../$(debpkg)/usr\"));"' \
 		make -C doc manual.html
 	# dh_installdocs does not support subdirectories,
 	# so we move everything in place
 	mkdir -p $(doc_dir)/image
 	cp doc/manual.html $(doc_dir)/
 	cp doc/image/*.png doc/image/*.svg $(doc_dir)/image/
+	rm -rf \
+		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc
 
-remove-dirs::
-	rm -rf \
-		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc \
-		 $(CURDIR)/$(debpkg)/$(mpath)/*/test
-
-clean::
-	make -C doc clean
-	test ! -e src/crlibm/Makefile || make -C src/crlibm maintainer-clean
-	rm -f src/*.oct src/*.o
+override_dh_auto_clean:
+	dh_auto_clean
+	[ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f doc/Makefile ] || $(MAKE) -C doc clean
+	[ ! -f src/crlibm/Makefile ] || $(MAKE) -C src/crlibm maintainer-clean
