## octave-interval 3.2.0

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 ## This is part of the GNU Octave Interval Package.
-## Copyright 2015-2017 Oliver Heimlich
+## Copyright 2015-2018 Oliver Heimlich
 ## Copyright 2016 Mike Miller
 ## See the file COPYING for copying conditions.
 
 SHELL          = /bin/sh
 OBJ            = crlibm_function.oct \
+                 intervaltotext.oct \
                  mpfr_function_d.oct \
                  mpfr_linspace_d.oct \
                  mpfr_matrix_mul_d.oct \
@@ -35,9 +36,11 @@
 
 ## crlibm api oct-file
 crlibm_function.oct: crlibm_function.o $(BUNDLED_CRLIBM_DIR)/crlibm_private.o
-	$(MKOCTFILE)  -o $@  $< $(BUNDLED_CRLIBM_DIR)/*.o $(BUNDLED_CRLIBM_DIR)/scs_lib/*.o
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@  $< $(BUNDLED_CRLIBM_DIR)/*.o $(BUNDLED_CRLIBM_DIR)/scs_lib/*.o
 crlibm_function.o: crlibm_function.cc
-	$(MKOCTFILE)  --compile -o $@  $<
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  --compile -o $@  $<
 
 ## bundled crlibm library
 ##
@@ -52,11 +55,24 @@
 $(BUNDLED_CRLIBM_DIR)/crlibm_config.h:
 	(cd $(BUNDLED_CRLIBM_DIR) && ./configure --disable-dependency-tracking $(CONF_FLAG_SSE2))
 
+## Wrapper functions for backwards compatibility with old Octave versions
+OCTAVE_COMPATIBILITY = compatibility/octave.h compatibility/octave.cc
+compatibility/octave.cc: $(filter-out $(OCTAVE_COMPATIBILITY),$(wildcard compatibility/*))
+	@echo " [MAKE] compatibility"
+	@$(MAKE) -C compatibility
+	@touch "$@"
+
 ## GNU MPFR api oct-files
-mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.h
-	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) $(CFLAG_OPENMP) $<
-mpfr_%.oct: mpfr_%.cc mpfr_commons.h
-	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) -Wno-comment  $<
+mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.h $(OCTAVE_COMPATIBILITY)
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) $(CFLAG_OPENMP) $<
+mpfr_%.oct: mpfr_%.cc mpfr_commons.h $(OCTAVE_COMPATIBILITY)
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR)  $<
+
+intervaltotext.oct: intervaltotext.cc mpfr_commons.h $(OCTAVE_COMPATIBILITY)
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR)  $<
 
 ## <cfenv> api oct-file
 ##
@@ -66,10 +82,12 @@
 ## omit the __setround__ function from a redistributed binary package.
 ## However, please inform the package maintainer of the error.
 __setround__.oct: __setround__.cc
-	$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<
 
 clean:
 	test ! -e $(BUNDLED_CRLIBM_DIR)/Makefile || $(MAKE) -C $(BUNDLED_CRLIBM_DIR) $@
+	$(MAKE) -C compatibility
 	$(RM) *.oct *.o
 
 .PHONY: all clean
