=== debian/changelog ===
octave-interval (3.2.0-7) unstable; urgency=medium

  * Team upload

  * This version builds correctly against Octave 6 (Closes: #976210)

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Remove src/*.cc-tst files
  * d/rules: Honor nodoc flag in DEB_BUILD_OPTIONS
  * d/copyright: Drop redundant pattern
  * d/p/xtest-in-infsup-methods.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 15:18:23 -0300

octave-interval (3.2.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/p/no-pkg-load-at-docs-build.patch: Set Forwarded:not-needed

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:55:01 -0300

octave-interval (3.2.0-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissiere ]
  * d/copyright: Group identical licenses in single stanzas
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

  [ Sébastien Villemot ]
  * d/copyright: use FSFUL and FSFULLR license short names (instead of
    "permissive")

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 14:23:44 -0300

octave-interval (3.2.0-4) unstable; urgency=medium

  * Team upload

  * d/p/xtest-in-mpfr-matrix-mul-d.patch: New patch
  * d/control:
    + Drop build-dependencies on texlive packages
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * d/clean: Extend list of removed files
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:15 -0200

octave-interval (3.2.0-3) unstable; urgency=medium

  * Team upload

  * d/rules: Install missing files when running autoreconf

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Oct 2018 12:40:10 -0300

octave-interval (3.2.0-2) unstable; urgency=medium

  * Team upload

  [ Oliver Heimlich ]
  * d/p/ignore-fesetround-tests.patch: Reintroduce patch for tests on armel

  [ Rafael Laboissiere ]
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.2.1
  * Rebuild autoconf files in src/crlibm

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 05 Oct 2018 18:04:46 -0300

octave-interval (3.2.0-1) unstable; urgency=medium

  * Team upload

  [ Oliver Heimlich ]
  * New upstream version 3.2.0

  [ Rafael Laboissiere ]
  * Dropped patches (applied upstream):
    + d/p/ignore-fesetround-tests.patch
    + d/p/ignore-unreliable-tests.patch
   + d/p/no-function-parameter-persistent.patch
     + d/p/simplify-cameleon-example.patch
  * Call clean target when cleaning the src/compatibility directory
    + d/p/clean-src-compatibility-dir.patch: New patch
  * Do not load the interval package when building the docs
    + d/p/no-pkg-load-at-docs-build.patch: New patch
    + d/rules: Adjust rule override_dh_auto_install-indep accordingly

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 05 Jul 2018 12:57:14 -0300

octave-interval (3.1.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.1.4 (no changes needed)
    + Suggest web browser instead of depending on it (Closes: #898646)
  * d/p/no-function-parameter-persistent.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 19 Jun 2018 17:10:30 -0300
