=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Oliver Heimlich <oheim@posteo.de>,
-Build-Depends-Indep: texinfo, texlive, texlive-generic-recommended,
- imagemagick, gnuplot-nox,
-Build-Depends: debhelper (>= 11), dh-octave,
- libmpfr-dev (>= 3.1.0), ghostscript
-Standards-Version: 4.1.3
+Build-Depends-Indep: texinfo, imagemagick, gnuplot-nox
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
+               ghostscript,
+               libmpfr-dev (>= 3.1.0)
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/interval/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-interval.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-interval
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-interval
 Architecture: any
@@ -27,7 +29,8 @@
 Package: octave-interval-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, w3m | www-browser
+Depends: ${misc:Depends}
+Suggests: w3m | www-browser
 Enhances: octave-interval
 Description: real-valued interval arithmetic for Octave (arch-indep files)
  ${octave:Upstream-Description}
