=== debian/rules ===
--- 
+++ 
@@ -37,19 +37,24 @@
 DEB_INSTALL_DOCS_ALL =
 doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)
 
+override_dh_auto_configure:
+	(cd src/crlibm ; autoreconf -i)
+	dh_auto_configure
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_install-indep:
 	dh_auto_install
 	# The documentation build needs to load the package,
 	# so we have to set paths for the build process.
-	OCTAVE='octave --no-window-system --no-init-file --eval	"addpath (genpath (\"../$(debpkg)/usr\"));"' \
+	OCTAVE='octave --no-window-system --no-init-file'	\
 		make -C doc manual.html
 	# dh_installdocs does not support subdirectories,
 	# so we move everything in place
 	mkdir -p $(doc_dir)/image
 	cp doc/manual.html $(doc_dir)/
 	cp doc/image/*.png doc/image/*.svg $(doc_dir)/image/
-	rm -rf \
-		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc
+	rm -rf $(CURDIR)/$(debpkg)/$(mpath)/*/doc
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
